{
  "actualValues" : [ {
    "key" : 1,
    "value" : {
      "data" : "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 2,
    "value" : {
      "data" : "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 3,
    "value" : {
      "data" : "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 4,
    "value" : {
      "data" : "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 5,
    "value" : {
      "data" : "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  }, {
    "key" : 6,
    "value" : {
      "data" : "AAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
    }
  } ],
  "zkState" : {
    "attestations" : [ {
      "key" : 1,
      "value" : {
        "data" : {
          "data" : "AgAAAAIAAAAA"
        },
        "id" : 1,
        "signatures" : [ "000ba4018d3880c98ffd4acae155dbfe6277f295fb38510578db277391c50cab0d112aab84b4379963b9936217c73cef61baab0e0cc9f93c1e91a0c44b4b1e4674", "01e307855bd106a6324632fa4c116f865f963c24a01d05e4597c90bfa9833b0c644965982ba3d09db107f81a9136694560b2c285d87a0e1aaa84421e291c86bc4c", "01814f22c1b10536e9ca8b1db52dafebe7e287529424c24b0b6455a9aae84c01264c1bc07828029d01ec90126b3b62573b181b7ff1688a9da56df920d41610c8ce", "00b4755cdb671a3e1a2ef90f00417167ed64fad3ac26566376e6f3a73fab76a82b2fc86360bb5a9113704282ceeda0b1b2fbd2bb107f00163cd34c6924040c7fdf" ]
      }
    } ],
    "calculationStatus" : "DONE",
    "defaultOptimisticMode" : true,
    "engines" : {
      "engines" : [ {
        "identity" : "001122330000000000000000000000000000000000",
        "publicKey" : "Anm+Zn753LusVaBilc6HCwcCm/zbLc4o2VnygVsW+BeY",
        "restInterface" : "https://computation_node_0"
      }, {
        "identity" : "001122330000000000000000000000000000000001",
        "publicKey" : "AsYEf5RB7X1tMEVAbpXAfNhcd45LjO88p6usCblccJ7l",
        "restInterface" : "https://computation_node_1"
      }, {
        "identity" : "001122330000000000000000000000000000000002",
        "publicKey" : "AvkwigGSWMMQSTRPhfidUim1MchFg2+ZsIYB8RO84Db5",
        "restInterface" : "https://computation_node_2"
      }, {
        "identity" : "001122330000000000000000000000000000000003",
        "publicKey" : "AuST2/HBDYDzWB5JBJMLFATMbBOQDuB1hHT6lKvoxM0T",
        "restInterface" : "https://computation_node_3"
      } ]
    },
    "externalEvents" : {
      "confirmedEvents" : [ ],
      "nextEventId" : 1,
      "nextSubscriptionId" : 1,
      "subscriptions" : [ ]
    },
    "finishedComputations" : [ {
      "calculateFor" : "44444",
      "engineState" : 0,
      "optimistic" : true
    } ],
    "nextAttestationId" : 2,
    "nextVariableId" : 8,
    "openState" : {
      "avlTrees" : [ ],
      "openState" : {
        "data" : "AAAAAAAAAAAAAAAAAAAAAAAAEjRWAFwmBQAAAACASl0FAAAAAAcAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAUAAAAAAAAAAAAAAAAAAAAAAAAAAAYBAAAAAgAAAAEBAgAAAAIAAAAA"
      }
    },
    "pendingInput" : [ {
      "key" : 5,
      "value" : {
        "encryptedShares" : [ {
          "data" : "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
        } ],
        "engines" : 0,
        "nodeOpenings" : [ ],
        "rejected" : false,
        "variable" : {
          "id" : 5,
          "information" : {
            "data" : "AQ=="
          },
          "inputMaskOffset" : 128,
          "owner" : "000000000000000000000000000000000000000005",
          "sealed" : false,
          "shareBitLengths" : [ 32 ],
          "transaction" : "1bc5d0e3df0ea12c4d0078668d14924f95106bbe173e196de50fe13a900b0937"
        }
      }
    } ],
    "pendingOnChainOpen" : [ ],
    "preProcessMaterials" : [ {
      "key" : "BINARY_INPUT_MASK",
      "value" : {
        "batchIds" : [ ],
        "numElementsToPrefetch" : 0,
        "numRequestedBatches" : 1,
        "numUsedElements" : "160"
      }
    }, {
      "key" : "BINARY_TRIPLE",
      "value" : {
        "batchIds" : [ ],
        "numElementsToPrefetch" : 0,
        "numRequestedBatches" : 1,
        "numUsedElements" : "0"
      }
    } ],
    "variables" : [ {
      "key" : 1,
      "value" : {
        "id" : 1,
        "information" : {
          "data" : "AQ=="
        },
        "inputMaskOffset" : 0,
        "owner" : "000000000000000000000000000000000000000000",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "df3f619804a92fdb4057192dc43dd748ea778adc52bc498ce80524c014b81119"
      }
    }, {
      "key" : 2,
      "value" : {
        "id" : 2,
        "information" : {
          "data" : "AQ=="
        },
        "inputMaskOffset" : 32,
        "owner" : "000000000000000000000000000000000000000001",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "b40711a88c7039756fb8a73827eabe2c0fe5a0346ca7e0a104adc0fc764f528d"
      }
    }, {
      "key" : 3,
      "value" : {
        "id" : 3,
        "information" : {
          "data" : "AQ=="
        },
        "inputMaskOffset" : 64,
        "owner" : "000000000000000000000000000000000000000002",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "433ebf5bc03dffa38536673207a21281612cef5faa9bc7a4d5b9be2fdb12cf1a"
      }
    }, {
      "key" : 4,
      "value" : {
        "id" : 4,
        "information" : {
          "data" : "AQ=="
        },
        "inputMaskOffset" : 96,
        "owner" : "000000000000000000000000000000000000000003",
        "sealed" : false,
        "shareBitLengths" : [ 32 ],
        "transaction" : "88185d128d9922e0e6bcd32b07b6c7f20f27968eab447a1d8d1cdf250f79f7d3"
      }
    }, {
      "key" : 6,
      "value" : {
        "id" : 6,
        "information" : {
          "data" : "Ag=="
        },
        "inputMaskOffset" : 0,
        "openValue" : {
          "data" : "AAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
        },
        "owner" : "010000000000000000000000000000000000000001",
        "sealed" : false,
        "shareBitLengths" : [ 32 ]
      }
    } ],
    "zkComputationDeadline" : "1234567890"
  }
}